### Method

# Gtk MessageDialog format_secondary_markup

#### Declaration [src]

    void
    gtk_message_dialog_format_secondary_markup (
      GtkMessageDialog* message_dialog,
      const char* message_format,
      ...
    )

#### Description [src]

Sets the secondary text of the message dialog.

The `message_format` is assumed to contain Pango markup.

Due to an oversight, this function does not escape special XML characters like gtk_message_dialog_new_with_markup() does. Thus, if the arguments may contain special XML characters, you should use g_markup_printf_escaped() to escape it.

“`c char *msg;

msg = g_markup_printf_escaped (message_format, …); gtk_message_dialog_format_secondary_markup (message_dialog, “%s”, msg); g_free (msg); “`.

#### Parameters

`message_format` | `const char*`
| Printf()-style string with Pango markup.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `message_format`.